<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/Storage/SQLiteStorage/test/SQLiteMiscStorageTest.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d29c5f5a2915d6c5388c9daae4f109c7.html">Storage</a></li><li class="navelem"><a class="el" href="dir_74c6299ccbc82b9602ff2a1d0fd58149.html">SQLiteStorage</a></li><li class="navelem"><a class="el" href="dir_fee0b467afad5a3a4f4d8c886a0ecbea.html">test</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">SQLiteMiscStorageTest.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;<a class="el" href="_s_q_lite_misc_storage_8h_source.html">SQLiteStorage/SQLiteMiscStorage.h</a>&gt;</code><br />
<code>#include &lt;gtest/gtest.h&gt;</code><br />
<code>#include &lt;<a class="el" href="_alexa_client_s_d_k_init_8h_source.html">AVSCommon/AVS/Initialization/AlexaClientSDKInit.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_configuration_node_8h_source.html">AVSCommon/Utils/Configuration/ConfigurationNode.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_s_q_lite_database_8h_source.html">SQLiteStorage/SQLiteDatabase.h</a>&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for SQLiteMiscStorageTest.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="_s_q_lite_misc_storage_test_8cpp__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_storage_2_s_q_lite_storage_2test_2_s_q_lite_misc_storage_test_8cpp" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_storage_2_s_q_lite_storage_2test_2_s_q_lite_misc_storage_test_8cpp" id="_2workplace_2avs-device-sdk_2_storage_2_s_q_lite_storage_2test_2_s_q_lite_misc_storage_test_8cpp">
<area shape="rect" id="node2" href="_s_q_lite_misc_storage_8h.html" title="SQLiteStorage/SQLiteMisc\lStorage.h" alt="" coords="393,105,574,144"/>
<area shape="rect" id="node6" href="_configuration_node_8h.html" title="AVSCommon/Utils/Configuration\l/ConfigurationNode.h" alt="" coords="406,192,620,231"/>
<area shape="rect" id="node14" href="_s_q_lite_database_8h.html" title="SQLiteStorage/SQLiteDatabase.h" alt="" coords="929,199,1150,224"/>
<area shape="rect" id="node18" href="_alexa_client_s_d_k_init_8h.html" title="AVSCommon/AVS/Initialization\l/AlexaClientSDKInit.h" alt="" coords="700,192,904,231"/>
<area shape="rect" id="node3" href="_misc_storage_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Storage/MiscStorageInterface.h" alt="" coords="5,192,218,231"/>
<area shape="rect" id="node16" href="_s_q_lite_statement_8h.html" title="SQLiteStorage/SQLiteStatement.h" alt="" coords="1078,279,1303,304"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1test_1_1_s_q_lite_misc_storage_test.html">alexaClientSDK::storage::sqliteStorage::test::SQLiteMiscStorageTest</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1storage"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1storage.html">alexaClientSDK::storage</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage.html">alexaClientSDK::storage::sqliteStorage</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1test"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1test.html">alexaClientSDK::storage::sqliteStorage::test</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ad06049c9944bf407c1e5ed48c488275b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1test.html#ad06049c9944bf407c1e5ed48c488275b">alexaClientSDK::storage::sqliteStorage::test::TEST_F</a> (SQLiteMiscStorageTest, test_createStringKeyValueTable)</td></tr>
<tr class="memdesc:ad06049c9944bf407c1e5ed48c488275b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tests with creating a string key - string value table.  <a href="namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1test.html#ad06049c9944bf407c1e5ed48c488275b">More...</a><br /></td></tr>
<tr class="separator:ad06049c9944bf407c1e5ed48c488275b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abe0b69a29765eacd5ab32e2080d4b115"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1test.html#abe0b69a29765eacd5ab32e2080d4b115">alexaClientSDK::storage::sqliteStorage::test::TEST_F</a> (SQLiteMiscStorageTest, test_tableEntryTests)</td></tr>
<tr class="memdesc:abe0b69a29765eacd5ab32e2080d4b115"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tests with table entry add, remove, update, put.  <a href="namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1test.html#abe0b69a29765eacd5ab32e2080d4b115">More...</a><br /></td></tr>
<tr class="separator:abe0b69a29765eacd5ab32e2080d4b115"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3321e9cfac8a926eb4ff6584b7fb3e5e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1test.html#a3321e9cfac8a926eb4ff6584b7fb3e5e">alexaClientSDK::storage::sqliteStorage::test::TEST_F</a> (SQLiteMiscStorageTest, test_loadAndClear)</td></tr>
<tr class="memdesc:a3321e9cfac8a926eb4ff6584b7fb3e5e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tests with loading and clearing table entries.  <a href="namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1test.html#a3321e9cfac8a926eb4ff6584b7fb3e5e">More...</a><br /></td></tr>
<tr class="separator:a3321e9cfac8a926eb4ff6584b7fb3e5e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afa48d4517c917a23b064fefb52a79b69"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1test.html#afa48d4517c917a23b064fefb52a79b69">alexaClientSDK::storage::sqliteStorage::test::TEST_F</a> (SQLiteMiscStorageTest, test_createDeleteTable)</td></tr>
<tr class="memdesc:afa48d4517c917a23b064fefb52a79b69"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tests with creating and deleting tables.  <a href="namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1test.html#afa48d4517c917a23b064fefb52a79b69">More...</a><br /></td></tr>
<tr class="separator:afa48d4517c917a23b064fefb52a79b69"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb9960ee82eafc4b8b27e30042f4dc58"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1test.html#aeb9960ee82eafc4b8b27e30042f4dc58">alexaClientSDK::storage::sqliteStorage::test::TEST_F</a> (SQLiteMiscStorageTest, test_escapeSingleQuoteCharacters)</td></tr>
<tr class="memdesc:aeb9960ee82eafc4b8b27e30042f4dc58"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test adding a string value with a single quote.  <a href="namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1test.html#aeb9960ee82eafc4b8b27e30042f4dc58">More...</a><br /></td></tr>
<tr class="separator:aeb9960ee82eafc4b8b27e30042f4dc58"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a9ebaf9c47ab6fcff12a6054cbe095302"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1test.html#a9ebaf9c47ab6fcff12a6054cbe095302">alexaClientSDK::storage::sqliteStorage::test::COMPONENT_NAME</a> = &quot;SQLiteMiscStorageTest&quot;</td></tr>
<tr class="memdesc:a9ebaf9c47ab6fcff12a6054cbe095302"><td class="mdescLeft">&#160;</td><td class="mdescRight">Component name for the misc DB tables.  <a href="namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1test.html#a9ebaf9c47ab6fcff12a6054cbe095302">More...</a><br /></td></tr>
<tr class="separator:a9ebaf9c47ab6fcff12a6054cbe095302"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a5ccb11a7c7aa80de26d735548fa2df"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1test.html#a9a5ccb11a7c7aa80de26d735548fa2df">alexaClientSDK::storage::sqliteStorage::test::MISC_DB_CONFIG_JSON</a></td></tr>
<tr class="memdesc:a9a5ccb11a7c7aa80de26d735548fa2df"><td class="mdescLeft">&#160;</td><td class="mdescRight">JSON text for miscDB config.  <a href="namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1test.html#a9a5ccb11a7c7aa80de26d735548fa2df">More...</a><br /></td></tr>
<tr class="separator:a9a5ccb11a7c7aa80de26d735548fa2df"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
